import ctypes

class MsgDev0Reserved(ctypes.Structure):
    _fields_ = [
        ("marker", ctypes.c_uint16),
        ("dbg_ctrl", ctypes.c_uint16),
        ("dbg_mode", ctypes.c_uint16),
        ("gc_dbg_ctrl", ctypes.c_uint16),
        ("gc_dbg_crs_xy", ctypes.c_uint16),
        ("raw", ctypes.c_uint16 * (32 - 5)),
    ]

    def __init__(self):
        super().__init__()
        self.marker = ctypes.c_uint16(0)
        self.dbg_ctrl = ctypes.c_uint16(0)
        self.dbg_mode = ctypes.c_uint16(0)
        self.gc_dbg_ctrl = ctypes.c_uint16(0)
        self.gc_dbg_crs_xy = ctypes.c_uint16(0)
        for i in range(32 - 5):
            self.raw[i] = ctypes.c_uint16(0)